%define version_maj 1
%define version_min 1
%define version_rev 0
%define version_tag GA
%define version_full %{version_maj}.%{version_min}.%{version_rev}.%{version_tag}

%define _with_repolib 1

# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'
%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repodir %{_javadir}/repository.jboss.com/jbpm/bpel/%{version_full}
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

 
Summary:        JBoss JBPM BPEL
Name:           jboss-jbpm-bpel
Version:        %{version_maj}.%{version_min}.%{version_rev}
Release:        2%{?dist}
Epoch:          0
License:        LGPLv2+
Group:          Development/Java
URL:            http://jbpm.org/
Source0:        %{name}-%{version_full}-tp.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
Web services orchestration platform.

%if %{with_repolib}
%package repolib
Summary:	 Artifacts to be uploaded to a repository library
Group:	         Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n jbpm

%build
# FIXME: One day this should actually... you know, build something.

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -p -m 0644 bpel/%{version_full}/lib/*.?ar $RPM_BUILD_ROOT%{_javadir}/%{name}

%if %{with_repolib}
install -d -m 755 $RPM_BUILD_ROOT%{repodir}
install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
cp -p bpel/%{version_full}/lib/* $RPM_BUILD_ROOT%{repodirlib}
# FIXME: (dwalluck): We need to install our own component-info.xml so that the version is correct
install -m 644 bpel/%{version_full}/component-info.xml $RPM_BUILD_ROOT%{repodir}/component-info.xml
install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
install -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}

%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}/repository.jboss.com
%endif

%changelog
* Tue Sep 02 2008 David Walluck <dwalluck@redhat.com> 0:1.1.0-2
- fix repolib

* Mon Jun 02 2008 David Walluck <dwalluck@redhat.com> 0:1.1.0-1.jpp5
- fix setup call
- fix License
- quite setup
- fix macro in %%changelog

* Wed Dec 12 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.1.0-0jpp.ep1.3
- New binaries (yes, same version) from repository.jboss.org

* Thu Nov 15 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.1.0-0jpp.ep1.2
- Bumping the %%{release} so I can 'make tag' on RHEL-4-EP-V1.

* Wed Nov 14 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.1.0-0jpp.ep1.1
- First release. 
